Last Comment Bug 753782 - Broken appearance of IM system messages
: Broken appearance of IM system messages
Status: RESOLVED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Thunderbird 15.0
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on: 747415
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 07:45 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-05-15 03:19 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.22 KB, patch)
2012-05-10 07:45 PDT, Florian Quèze [:florian] [:flo]
bwinton: review+
Details | Diff | Splinter Review
Screenshot of the bug (55.19 KB, image/png)
2012-05-10 07:52 PDT, Florian Quèze [:florian] [:flo]
no flags Details
Screenshot with the patch applied (53.22 KB, image/png)
2012-05-10 07:53 PDT, Florian Quèze [:florian] [:flo]
no flags Details

Description Florian Quèze [:florian] [:flo] 2012-05-10 07:45:08 PDT
Created attachment 622723 [details] [diff] [review]
Patch

+++ This bug was initially created as a clone of Bug #747415 +++

Bug 747415 regressed the appearance of IM conversations by messing up the style rules for the first system message (receiving the "event" class on a div node that also has the class "bubble", and the consecutive system messages (receiving the "event" class on a p node).

The attached patch reverts the 2 changes that caused the regression, and while I was looking in that file, I also optimized two other expensive selectors.
Comment 1 Florian Quèze [:florian] [:flo] 2012-05-10 07:52:16 PDT
Created attachment 622726 [details]
Screenshot of the bug
Comment 2 Florian Quèze [:florian] [:flo] 2012-05-10 07:53:00 PDT
Created attachment 622727 [details]
Screenshot with the patch applied
Comment 3 Florian Quèze [:florian] [:flo] 2012-05-10 07:54:24 PDT
Comment on attachment 622723 [details] [diff] [review]
Patch

>diff --git a/mail/components/im/messages/main.css b/mail/components/im/messages/main.css

>+.bubble > .indicator > hr {

".bubble > " may not be strictly necessary on that line.
Comment 4 Blake Winton (:bwinton) (:☕️) 2012-05-14 13:51:14 PDT
Comment on attachment 622723 [details] [diff] [review]
Patch

Looks good.  r=me!
Comment 5 Florian Quèze [:florian] [:flo] 2012-05-15 03:19:36 PDT
http://hg.mozilla.org/comm-central/rev/fe3609de7fc7

Note You need to log in before you can comment on or make changes to this bug.